Package org.apache.felix.configurator.impl.model

## Class AbstractState

- java.lang.Object
- - org.apache.felix.configurator.impl.model.AbstractState

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BundleState`, `State`

    public class AbstractState
    extends Object
    implements Serializable

This object holds a sorted map of configurations

See Also:
  Serialized Form

### Constructor Summary

Constructors
`AbstractState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(Config c)`
`Map<String,​ConfigList>` `getConfigurations()`
`ConfigList` `getConfigurations​(String pid)`
`Collection<String>` `getPids()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractState

    public AbstractState()

### Method Detail

#### add

    public void add​(Config c)

#### getConfigurations

    public Map<String,​ConfigList> getConfigurations()

#### getConfigurations

    public ConfigList getConfigurations​(String pid)

#### getPids

    public Collection<String> getPids()